/// Struct field names cannot contain '.'
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidFieldName {
    #[builder(into)]
    #[serde(rename = "fieldName")]
    field_name: String,
}
impl InvalidFieldName {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(field_name: impl Into<String>) -> Self {
        Self::builder().field_name(field_name).build()
    }
    #[inline]
    pub fn field_name(&self) -> &str {
        &*self.field_name
    }
}
impl conjure_error::ErrorType for InvalidFieldName {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidFieldName"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
